package com.cftech.questionnaire.core.paper.dao;

import com.cftech.core.generic.GenericDao;
import com.cftech.questionnaire.core.paper.model.*;

import java.util.List;
import java.util.Map;
;
/**
* 问卷Mapper
*
* @author wxf
* @date: 2017-05-25 13:48
*/
public interface PaperMapper extends GenericDao<PaperBaseEntity> {
    List<PaperBaseEntity> fetchSearchVOByPage(Map<String, Object> params);


    Long saveSubject(PaperSubject paperSubject);

    Long saveOption(PaperOption paperOption);

    int updateClearPaperSubject(Long id);


    int updateClearOption(Long id);

    int updatePaperOption(PaperOption paperOption);

    int updatePaperSubject(PaperSubject paperSubject);
    //选择活动
    List<SelectActivity> searchActivity(Map<String , Object> param);
    //活动总个数
    int countActivity(Map<String, Object> params);

    List<PaperSubject> selectPaperSubject(Map<String,Object> params);



}